Index: doc/splitter.txt
===================================================================
--- doc/splitter.txt	(revision 597)
+++ doc/splitter.txt	(working copy)
@@ -83,11 +83,17 @@
 ; --cache=
 :   Deprecated, now does nothing.
 
-;--description=OSM Map
-:  Sets the desciption to be written in to the template.args file.
+;--description=
+:  Sets the desciption to be written to the template.args file.
+Normally used in combination with --geonames-file to set the description when
+the GeoNames file does not provide a match. The default is "OSM Map"
+in a comment (i.e. no description). 
 
 ;--geonames-file=
-:  The name of a GeoNames file to use for determining tile names.
+:  The name of a GeoNames file to use for determining the descriptions
+to be written to the template.args file. The description of each tile will
+be the most appropriate place name found in the supplied file. If no match can
+be found, the description will be as set by the --description option.
 Typically cities15000.zip from
 [http://download.geonames.org/export/dump geonames]
 
